Execute Data Orchestration
curl --request POST \
--url https://api.lendflow.com/api/applications/{application_id}/data_orchestration/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template_id": "architecto",
"application_id": "architecto",
"stage_id": null
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/data_orchestration/execute"
payload = {
"template_id": "architecto",
"application_id": "architecto",
"stage_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({template_id: 'architecto', application_id: 'architecto', stage_id: null})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/data_orchestration/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"executed": true
}
}Data Orchestration
Execute Data Orchestration
Schedules a data orchestration template to run against the application. The run executes asynchronously; track its progress through the data orchestration log endpoints.
POST
/
api
/
applications
/
{application_id}
/
data_orchestration
/
execute
Execute Data Orchestration
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?